package com.mcwl.web.controller.communityCenter;


import cn.hutool.core.bean.BeanUtil;
import com.mcwl.common.constant.HttpStatus;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.PublishLabel;
import com.mcwl.communityCenter.domain.dto.*;
import com.mcwl.communityCenter.domain.vo.PublishVo;
import com.mcwl.communityCenter.service.CommunityUserService;
import com.mcwl.communityCenter.service.PublishLabelService;
import com.mcwl.communityCenter.service.PublishService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Objects;

/**
 * 发布标签
 */
@Api(tags = "发布标签")
@RestController
@RequestMapping("publishLabel")
@RequiredArgsConstructor
public class PublishLabelController {

    private final PublishLabelService publishLabelService;

    /**
     * 获取发布标签列表
     */
    @ApiOperation("获取发布标签列表")
    @PostMapping("list")
    public R<List<String>> listPublishLabel(@RequestBody @Valid PublishLabelListRes publishLabelListRes) {

        return R.ok(publishLabelService.listPublishLabel(publishLabelListRes));
    }

    /**
     * 新增发布标签
     */
    @ApiOperation("新增发布标签")
    @PostMapping("add")
    public R<String> addPublishLabel(@RequestBody @Valid PublishLabelAddRes publishLabelAddRes) {

        publishLabelService.addPublishLabel(publishLabelAddRes);
        return R.ok();
    }


}
