package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 新增发布标签请求参数
 */
@Data
@ApiModel(value = "新增发布标签请求参数")
@NoArgsConstructor
@AllArgsConstructor
public class PublishLabelAddRes {


    /**
     * 租户id
     */
    @NotNull(message = "租户id不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区id不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

    /**
     * 标签名称
     */
    @NotBlank(message = "标签名称不能为空")
    @ApiModelProperty(value = "标签名称", required = true)
    private String labelName;


}
