package com.mcwl.system.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "修改邮箱请求对象")
public class EditEmailRes {

    @ApiModelProperty(value = "邮箱id")
    @NotNull(message = "邮箱id不能为空")
    private Long id;

    /**
     * 收件人邮箱
     */
    @ApiModelProperty(value = "收件人邮箱")
    @Pattern(regexp = "^[a-zA-Z0-9_-]+@[a-zA-Z0-9_-]+(\\.[a-zA-Z0-9_-]+)+$", message = "邮箱格式不正确")
    @NotBlank(message = "邮箱不能为空")
    private String recipientEmail;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
