package com.mcwl.system.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "编辑工具请求对象")
public class EditToolRes {

    /**
     * 工具id
     */
    @ApiModelProperty(value = "工具id", required = true)
    @NotNull(message = "工具id不能为空")
    private Long id;

    /**
     * 图片url
     */
    @ApiModelProperty(value = "图片url", required = true)
    @NotBlank(message = "图片url不能为空")
    private String imageUrl;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态", required = true)
    @NotNull(message = "状态不能为空")
    private Integer status;

}
